Add an ugly workaround for a bug in some recent libedit versions

Enterprise / PostgreSQL - Tom Lane [sss.pgh.pa.us] - 3 January 2020 16:15 EST

Debian unstable is shipping a broken version of libedit: it de-escapes words before passing them to the application's tab completion function, preventing us from recognizing backslash commands. Fortunately, we have enough information available to dig the original text out of rl_line_buffer, so ignore the string argument and do that.

I view this as a temporary workaround to get the affected buildfarm members back to green in the wake of 7c015045b. I hope we can get rid of it once somebody fixes Debian's libedit; hence, no back-patch, at least for now.

Discussion: https://postgr.es/m/20200103110128.GA28967@msg.df7cb.de

ddd87d5645 Add an ugly workaround for a bug in some recent libedit versions.
src/bin/psql/tab-complete.c | 9 ++++++++-
1 file changed, 8 insertions(+), 1 deletion(-)

Upstream: git.postgresql.org


  • Share